Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface WorklistConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface WorklistConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

MBean for configuring the worklist

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String[]` | `getAdminRole()`
`String` | `getTaskCreationRole()`
`String` | `getTaskTrackingLevel()` The possible values are: "none", "basic, "full".
`void` | `setAdminRole(String[] adminRoles)`
`void` | `setTaskCreationRole(String taskCreationRole)`
`void` | `setTaskTrackingLevel(String trackingLevel)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getTaskTrackingLevel

    public String getTaskTrackingLevel()

  The possible values are: "none", "basic, "full".

### setTaskTrackingLevel

    public void setTaskTrackingLevel(String trackingLevel)
                              throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getTaskCreationRole

    public String getTaskCreationRole()

### setTaskCreationRole

    public void setTaskCreationRole(String taskCreationRole)
                             throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getAdminRole

    public String[] getAdminRole()

### setAdminRole

    public void setAdminRole(String[] adminRoles)
                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD